Relying on query string parsing breaks client-side pagination
Status: Closed   

Priority: Normal   

Assignee: Ondřej Pražák   

Category: JavaScript stack   

Target version:    

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7573

  

Description

Pagination component directly calls helpers to parse page url and if 'perPage' is not found in query string, it uses default page size

from settings with no option to override via props. This makes the component very inflexible as it is now tied to browser url. As a side

effect, this breaks client-side pagination on pages where Pagination component is used.

Steps to reproduce:

1) sync templates using foreman_templates plugin

2) change number of entries per page when sync result is displayed

3) the correct number of entries is displayed, but pagination shows incorrect numbers

Related issues:

Related to Foreman - Feature #28148: Add react context provider Closed

Associated revisions

Revision 8dd04ca8 - 04/20/2020 08:19 AM - Ondřej Pražák

Fixes #29496 - Fix pagination for client-side paging

History

#1 - 04/07/2020 11:38 AM - Ondřej Pražák

- Related to Feature #28148: Add react context provider  added

#2 - 04/07/2020 11:41 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7573 added

#3 - 04/20/2020 08:19 AM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#4 - 04/20/2020 09:01 AM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

Applied in changeset 8dd04ca8c36ec6b9574209bfd27765edc5332568.

#5 - 05/13/2020 02:34 PM - Amit Upadhye

- Category set to JavaScript stack

Powered by TCPDF (www.tcpdf.org)

05/17/2024 1/1

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/8dd04ca8c36ec6b9574209bfd27765edc5332568
http://www.tcpdf.org

